Bug 5050 - Drop ancient code from mdkonline and rename it to rosa-online
: Drop ancient code from mdkonline and rename it to rosa-online
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 3451
  Show dependency treegraph
 
Reported: 2015-02-12 14:47 MSK by Denis Silakov
Modified: 2015-02-19 17:25 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
mdkapplet-add-media-helper.jpg (73.83 KB, image/jpeg)
2015-02-16 15:23 MSK, FirstLevel
Details
ss (12.01 KB, image/png)
2015-02-17 20:40 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2015-02-12 14:47:21 MSK
Our "mdkonline" package is very old and contains a lot of ancient code whhich is not used anymore. In addition, its title confuses users (see bug #3451).

The suggestion is to rename the package and to change the title in its "About" window.
Comment 1 Denis Silakov 2015-02-12 14:50:48 MSK
Advisory:
Renamed "mdkonline" package to "rosa-online" and updated its "About window". In addition, "Check for newer ROSA releases" checkbox was removed from its configuration window - it didn't work for a long time (since we don't provide necessary files at our servers) and in any case it is almost useless for us, since new releases are usually installed by usual updates (R1->R2->R3, R4->R5) and only rarely we need to perform real upgrade (like in R3->R4 case).

Build lists:
https://abf.io/build_lists/2424383
https://abf.io/build_lists/2424384
Comment 2 FirstLevel 2015-02-16 15:23:31 MSK
Update goes well for 32 and 64 bit
I see some differences in behaviour of one utility - mdkapplet-add-media-helper

For mdkonline If I start mdkapplet-add-media-helper from user I have got password request of root and see such output
[sergei64@r5-64 ~]$ /usr/bin/mdkapplet-add-media-helper
Usage: /usr/sbin/mdkapplet-add-media-helper [OPTION]... VERSION
Add package medias for VERSION (of current product by default).

  --rpm-root=PATH          Use PATH as root for rpm
  --urpmi-root=PATH        Use PATH as root for rpm and urpmi
  --product=NAME           Upgrade to VERSION of product named NAME
[sergei64@r5-64 ~]$ 

For rosa-online If I start mdkapplet-add-media-helper from user I have got password of root and see such error mdkapplet-add-media-helper.jpg


Is it important?
Comment 3 FirstLevel 2015-02-16 15:23:47 MSK
Created attachment 3742 [details]
mdkapplet-add-media-helper.jpg
Comment 4 Denis Silakov 2015-02-16 16:44:27 MSK
Not completely ok, mdkapplet-add-media-helper was dropped from the package, but I forgot to drop consolehelper wrapper for it.

Please try the new build lists:
https://abf.rosalinux.ru/build_lists/2425490
https://abf.rosalinux.ru/build_lists/2425491
Comment 5 FirstLevel 2015-02-16 21:07:52 MSK
(In reply to comment #4)
> Not completely ok, mdkapplet-add-media-helper was dropped from the package,
> but I forgot to drop consolehelper wrapper for it.
> 
> Please try the new build lists:
> https://abf.rosalinux.ru/build_lists/2425490
> https://abf.rosalinux.ru/build_lists/2425491

All utilities from rosa-online works the same manner as in mdkonline.
Comment 6 Vladimir Potapov 2015-02-17 20:37:35 MSK
http://bugs.rosalinux.ru/show_bug.cgi?id=2123 is actual
Comment 7 Vladimir Potapov 2015-02-17 20:40:04 MSK
Created attachment 3744 [details]
ss
Comment 8 Denis Silakov 2015-02-17 23:50:21 MSK
Please try these builds:

https://abf.rosalinux.ru/build_lists/2425927
https://abf.rosalinux.ru/build_lists/2425928
Comment 9 Vladimir Potapov 2015-02-18 13:33:16 MSK
Is the mdkapplet-upgrade-helper relevant?
Comment 10 Denis Silakov 2015-02-18 13:52:03 MSK
(In reply to comment #9)
> Is the mdkapplet-upgrade-helper relevant?

It doesn't work (and has never worked for ROSA), but maybe some day we will restore its functionality, so I didn't drop this script.
Comment 11 Vladimir Potapov 2015-02-18 21:07:03 MSK
Sent to external testing
************************
Comment 12 Vladimir Potapov 2015-02-19 17:10:59 MSK
rosa-online-3.1.2-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2425927/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2425928/x86_64/main/release/
******************************** Advisory **************************
Renamed "mdkonline" package to "rosa-online" and updated its "About window". In addition, "Check for newer ROSA releases" checkbox was removed from its configuration window - it didn't work for a long time (since we don't provide necessary files at our servers) and in any case it is almost useless for us, since new releases are usually installed by usual updates (R1->R2->R3, R4->R5) and only rarely we need to perform real upgrade (like in R3->R4 case).
*********************************************************************
QA Verified